/**
 * This file contains informations about all objectives types in the game
 * They are separated in 2 arrays of objectives objects, one for mercenary camps and the other for map objectives
 */

const BRUISER = 'bruiser'
const SIEGE = 'siege'

export const CAMPS = {
  shamans: {
    type: BRUISER,
    name: 'Shamans',
    initialSpawnTime: 60,
    respawnTime: 240,
    weight: 1
  },
  impalers: {
    type: SIEGE,
    name: 'Impalers',
    initialSpawnTime: 60,
    respawnTime: 180,
    weight: 1
  }
}

export const MAP = {
  shrine: {
    name: 'Shrine',
    initialSpawnTime: 180,
    respawnTime: 180
  },
  immortals: {
    name: 'Immortals',
    initialSpawnTime: 105,
    respawnTime: 180
  }
}
